Function Service($config) {
    $item = ConvertItem-FromConfig $config "service"
    $item["ensure"] = Get-ValueWithDefaultValue $config "ensure" "running"
    Append-Item $item
}

Function Apply-Service($config) {
    Write-Host "apply service $($config.id)"
    if ($config.ensure -eq "running") { Start-Service $config.id }
    if ($config.ensure -eq "stopped") { Stop-Service $config.id }
}